Index: /trunk/LMDZ.PLUTO/libf/phypluto/convadj.F
===================================================================
--- /trunk/LMDZ.PLUTO/libf/phypluto/convadj.F	(revision 3194)
+++ /trunk/LMDZ.PLUTO/libf/phypluto/convadj.F	(revision 3195)
@@ -7,10 +7,10 @@
       USE tracer_h
       use comcstfi_mod, only: g
-      use callkeys_mod, only: tracer,water
+      use callkeys_mod, only: tracer
 
       implicit none
 
 !==================================================================
-!     
+!
 !     Purpose
 !     -------
@@ -23,5 +23,5 @@
 !     Original author unknown.
 !     Modif. 2005 by F. Forget.
-!     
+!
 !==================================================================
 
@@ -84,5 +84,5 @@
       ENDDO
 
-      if(tracer) then      
+      if(tracer) then
         DO iq =1, nq
          DO l=1,nlay
@@ -118,5 +118,5 @@
         ENDDO
       ENDDO
-      
+
 !     Make a list of them
       jcnt=0
@@ -136,9 +136,9 @@
 
           i = jadrs(jj)
- 
+
 !     Calculate sigma in this column
           DO l=1,nlay+1
             sig(l)=pplev(i,l)/pplev(i,1)
-        
+
           ENDDO
          DO l=1,nlay
@@ -154,7 +154,7 @@
             IF (l2 .GT. nlay) EXIT
             IF (zhc(i, l2).LT.zhc(i, l2-1)) THEN
- 
+
 !     l2 is the highest level of the unstable column
- 
+
               l1 = l2 - 1
               l  = l1
@@ -170,7 +170,7 @@
                 zhm = zhm + sdsig(l) * (zh2(i, l) - zhm) / zsm
                 zhmc = zhm
- 
+
 !     do we have to extend the column downwards?
- 
+
                 down = .false.
                 IF (l1 .ne. 1) then    !--  and then
@@ -179,18 +179,18 @@
                   END IF
                 END IF
- 
+
                 ! this could be a problem...
 
                 if (down) then
- 
+
                   l1 = l1 - 1
                   l  = l1
- 
+
                 else
- 
+
 !     can we extend the column upwards?
- 
+
                   if (l2 .eq. nlay) exit
- 
+
                   if (zhc(i, l2+1) .ge. zhmc) exit
 
@@ -224,6 +224,6 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-!     to conserve tracers/ KE, we must calculate zum, zvm and zqm using 
-!     the up-to-date column values. If we do not do this, there are cases 
+!     to conserve tracers/ KE, we must calculate zum, zvm and zqm using
+!     the up-to-date column values. If we do not do this, there are cases
 !     where convection stops at one level and starts at the next where we
 !     can break conservation of stuff (particularly tracers) significantly.
@@ -249,5 +249,5 @@
                  zv2(i,l)=zv2(i,l)+zalpha*(zvm-zv2(i,l))
                  do iq=1,nq
-!                  zq2(i,l,iq)=zq2(i,l,iq)+zalpha*(zqm(iq)-zq2(i,l,iq)) 
+!                  zq2(i,l,iq)=zq2(i,l,iq)+zalpha*(zqm(iq)-zq2(i,l,iq))
                    zq2(i,l,iq)=zqm(iq)
                  end do
@@ -266,12 +266,4 @@
 !     check conservation
          cadjncons=0.0
-         if(water)then
-         do l = 1, nlay
-            masse = (pplev(i,l) - pplev(i,l+1))/g
-            iq    = igcm_h2o_vap
-            cadjncons = cadjncons + 
-     &           masse*(zq2(i,l,iq)-zq(i,l,iq))/ptimestep 
-         end do
-         endif
 
          if(cadjncons.lt.-1.e-6)then
@@ -283,5 +275,5 @@
          do l = 1, nlay
             print*,'dsig         = ',dsig(l)
-         end do         
+         end do
          do l = 1, nlay
             print*,'dsig         = ',dsig(l)
@@ -311,11 +303,11 @@
             print*,'zh2(ig,:)        = ',zh2(i,l)
          end do
-         do l = 1, nlay
-            print*,'zq(ig,:,vap)     = ',zq(i,l,igcm_h2o_vap)
-         end do
-         do l = 1, nlay
-            print*,'zq2(ig,:,vap)    = ',zq2(i,l,igcm_h2o_vap)
-         end do
-            print*,'zqm(vap)         = ',zqm(igcm_h2o_vap)
+         ! do l = 1, nlay
+         !    print*,'zq(ig,:,vap)     = ',zq(i,l,igcm_h2o_vap)
+         ! end do
+         ! do l = 1, nlay
+         !    print*,'zq2(ig,:,vap)    = ',zq2(i,l,igcm_h2o_vap)
+         ! end do
+         !    print*,'zqm(vap)         = ',zqm(igcm_h2o_vap)
             print*,'jadrs=',jadrs
 
@@ -335,12 +327,12 @@
       ENDDO
 
-      if(tracer) then 
+      if(tracer) then
         do iq=1, nq
           do  l=1,nlay
             DO ig=1,ngrid
-              pdqadj(ig,l,iq)=(zq2(ig,l,iq)-zq(ig,l,iq))/ptimestep 
-            end do 
-          end do 
-        end do 
+              pdqadj(ig,l,iq)=(zq2(ig,l,iq)-zq(ig,l,iq))/ptimestep
+            end do
+          end do
+        end do
       end if
 
@@ -349,6 +341,6 @@
 !      if (ngrid.eq.1) then
 !         ig=1
-!         iq =1 
-!         write(*,*)'**** l, pq(ig,l,iq),zq(ig,l,iq),zq2(ig,l,iq)'  
+!         iq =1
+!         write(*,*)'**** l, pq(ig,l,iq),zq(ig,l,iq),zq2(ig,l,iq)'
 !         do l=nlay,1,-1
 !           write(*,*) l, pq(ig,l,iq),zq(ig,l,iq),zq2(ig,l,iq)
Index: /trunk/LMDZ.PLUTO/libf/phypluto/inifis_mod.F90
===================================================================
--- /trunk/LMDZ.PLUTO/libf/phypluto/inifis_mod.F90	(revision 3194)
+++ /trunk/LMDZ.PLUTO/libf/phypluto/inifis_mod.F90	(revision 3195)
@@ -24,4 +24,5 @@
   use planetwide_mod, only: planetwide_sumval
   use callkeys_mod
+  use surfdat_h
   use wstats_mod, only: callstats
   use ioipsl_getin_p_mod, only : getin_p
@@ -277,18 +278,4 @@
      if (is_master) write(*,*) trim(rname)//": calladj = ",calladj
 
-     if (is_master) write(*,*) trim(rname)//": call N2 condensation ?"
-     n2cond=.false. ! default value
-     call getin_p("n2cond",n2cond)
-     if (is_master) write(*,*) trim(rname)//": n2cond = ",n2cond
-! Test of incompatibility
-     if (n2cond.and.(.not.tracer)) then
-        call abort_physic(rname,"Error: We need a N2 ice tracer to condense N2!",1)
-     endif 
- 
-     if (is_master) write(*,*) trim(rname)//": N2 supersaturation level ?"
-     n2supsat=1.0 ! default value
-     call getin_p("n2supsat",n2supsat)
-     if (is_master) write(*,*) trim(rname)//": n2supsat = ",n2supsat
-
      if (is_master) write(*,*) trim(rname)//&
      ": Radiative timescale for Newtonian cooling (in Earth days)?"
@@ -479,11 +466,5 @@
      endif  
 
-     if (is_master) write(*,*)trim(rname)//&
-       ": Number mixing ratio of N2 ice particles:"
-     Nmix_n2=1.e6 ! default value
-     call getin_p("Nmix_n2",Nmix_n2)
-     if (is_master) write(*,*)trim(rname)//": Nmix_n2 = ",Nmix_n2
-
-     if (is_master) write(*,*)trim(rname)//&
+      if (is_master) write(*,*)trim(rname)//&
        "Number of radiatively active aerosols:"
      naerkind=0 ! default value
@@ -491,37 +472,516 @@
      if (is_master) write(*,*)trim(rname)//": naerkind = ",naerkind
 
-     if (is_master) write(*,*)trim(rname)//": Opacity of dust (if used):"
-     dusttau=0. ! default value
-     call getin_p("dusttau",dusttau)
-     if (is_master) write(*,*)trim(rname)//": dusttau = ",dusttau
-
-     if (is_master) write(*,*)trim(rname)//": Radiatively active N2 aerosols?"
-     aeron2=.false.     ! default value
-     call getin_p("aeron2",aeron2)
-     if (is_master) write(*,*)trim(rname)//": aeron2 = ",aeron2
-
-     if (is_master) write(*,*)trim(rname)//": Fixed N2 aerosol distribution?"
-     aerofixn2=.false.     ! default value
-     call getin_p("aerofixn2",aerofixn2)
-     if (is_master) write(*,*)trim(rname)//": aerofixn2 = ",aerofixn2
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Radiatively active sulfuric acid aerosols?"
-     aeroh2so4=.false.     ! default value
-     call getin_p("aeroh2so4",aeroh2so4)
-     if (is_master) write(*,*)trim(rname)//": aeroh2so4 = ",aeroh2so4
- 
-     if (is_master) write(*,*)trim(rname)//&
-       ": Radiatively active auroral aerosols?"
-     aeroaurora=.false.     ! default value
-     call getin_p("aeroaurora",aeroaurora)
-     if (is_master) write(*,*)trim(rname)//": aeroaurora = ",aeroaurora
-
-     if (is_master) write(*,*)trim(rname)//&
-     ": Radiatively active Generic Condensable aerosols?"
-     aerogeneric=0     ! default value
-     call getin_p("aerogeneric",aerogeneric)
-     if (is_master) write(*,*)trim(rname)//":aerogeneric",aerogeneric
-
+     
+!***************************************************************
+         !! TRACERS options
+
+     if (is_master)write(*,*)trim(rname)//&
+      "call N2 condensation ?"
+     N2cond=.true. ! default value
+     call getin_p("N2cond",N2cond)
+     if (is_master)write(*,*)trim(rname)//&
+      " N2cond = ",N2cond
+
+     if (is_master)write(*,*)trim(rname)//&
+      "call N2 cloud condensation ?"
+     condensn2=.false. ! default value
+     call getin_p("condensn2",condensn2)
+     if (is_master)write(*,*)trim(rname)//&
+      "condensn2 = ",condensn2
+
+     if (is_master)write(*,*)trim(rname)//&
+      "call no N2 frost formation?"
+     no_n2frost=.false. ! default value
+     call getin_p("no_n2frost",no_n2frost)
+     if (is_master)write(*,*)trim(rname)//&
+      "no_n2frost = ",no_n2frost
+
+     if (is_master)write(*,*)trim(rname)//&
+      "N2 condensation subtimestep?"
+     nbsub=20 ! default value
+     call getin_p("nbsub",nbsub)
+     if (is_master)write(*,*)trim(rname)//&
+      " nbsub = ",nbsub
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Gravitationnal sedimentation ?"
+     sedimentation=.true. ! default value
+     call getin_p("sedimentation",sedimentation)
+     if (is_master)write(*,*)trim(rname)//&
+      " sedimentation = ",sedimentation
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Compute glacial flow ?"
+     glaflow=.false. ! default value
+     call getin_p("glaflow",glaflow)
+     if (is_master)write(*,*)trim(rname)//&
+      " glaflow = ",glaflow
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Compute methane cycle ?"
+     methane=.false. ! default value
+     call getin_p("methane",methane)
+     if (is_master)write(*,*)trim(rname)//&
+      " methane = ",methane
+     condmetsurf=.true. ! default value
+     call getin_p("condmetsurf",condmetsurf)
+     if (is_master)write(*,*)trim(rname)//&
+      " condmetsurf = ",condmetsurf
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Compute methane clouds ?"
+     metcloud=.false. ! default value
+     call getin_p("metcloud",metcloud)
+     if (is_master)write(*,*)trim(rname)//&
+      " metcloud = ",metcloud
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Compute CO cycle ?"
+     carbox=.false. ! default value
+     call getin_p("carbox",carbox)
+     if (is_master)write(*,*)trim(rname)//&
+      " carbox = ",carbox
+     condcosurf=.true. ! default value
+     call getin_p("condcosurf",condcosurf)
+     if (is_master)write(*,*)trim(rname)//&
+      " condcosurf = ",condcosurf
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Compute CO clouds ?"
+     monoxcloud=.false. ! default value
+     call getin_p("monoxcloud",monoxcloud)
+     if (is_master)write(*,*)trim(rname)//&
+      " monoxcloud = ",monoxcloud
+
+     if (is_master)write(*,*)trim(rname)//&
+     "atmospheric redistribution (s):"
+     tau_n2=1. ! default value
+     call getin_p("tau_n2",tau_n2)
+     if (is_master)write(*,*)trim(rname)//&
+     " tau_n2 = ",tau_n2
+     tau_ch4=1.E7 ! default value
+     call getin_p("tau_ch4",tau_ch4)
+     if (is_master)write(*,*)trim(rname)//&
+     " tau_ch4 = ",tau_ch4
+     tau_co=1. ! default value
+     call getin_p("tau_co",tau_co)
+     if (is_master)write(*,*)trim(rname)//&
+     " tau_co = ",tau_co
+     tau_prechaze=1. ! default value
+     call getin_p("tau_prechaze",tau_prechaze)
+     if (is_master)write(*,*)trim(rname)//&
+     " tau_prechaze = ",tau_prechaze
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Day fraction for limited cold trap in SP?"
+     dayfrac=0. ! default value
+     call getin_p("dayfrac",dayfrac)
+     if (is_master)write(*,*)trim(rname)//&
+      " dayfrac = ",dayfrac
+     thresh_non2=0. ! default value
+     call getin_p("thresh_non2",thresh_non2)
+     if (is_master)write(*,*)trim(rname)//&
+      " thresh_non2 = ",thresh_non2
+
+!***************************************************************
+     !! Haze options
+
+     if (is_master)write(*,*)trim(rname)//&
+     "Production of haze ?"
+     haze=.false. ! default value
+     call getin_p("haze",haze)
+     if (is_master)write(*,*)trim(rname)//&
+     " haze = ",haze
+     hazeconservch4=.false. ! conservch4, by default value ch4 is photolyzed
+     call getin_p("hazeconservch4",hazeconservch4)
+     if (is_master)write(*,*)trim(rname)//&
+     "hazconservch4 = ",hazeconservch4
+     if (is_master)write(*,*)trim(rname)//&
+     "Production of haze (fast version) ?"
+     fasthaze=.false. ! default value
+     call getin_p("fasthaze",fasthaze)
+     if (is_master)write(*,*)trim(rname)//&
+     "fasthaze = ",fasthaze
+
+     if (is_master)write(*,*)trim(rname)//&
+     "Add source of haze ?"
+     source_haze=.false. ! default value
+     call getin_p("source_haze",source_haze)
+     if (is_master)write(*,*)trim(rname)//&
+     " source_haze = ",source_haze
+     mode_hs=0 ! mode haze source default value
+     call getin_p("mode_hs",mode_hs)
+     if (is_master)write(*,*)trim(rname)//&
+     " mode_hs",mode_hs
+     kfix=1 ! default value
+     call getin_p("kfix",kfix)
+     if (is_master)write(*,*)trim(rname)//&
+     "levels kfix",kfix
+     fracsource=0.1 ! default value
+     call getin_p("fracsource",fracsource)
+     if (is_master)write(*,*)trim(rname)//&
+     " fracsource",fracsource
+     latsource=30. ! default value
+     call getin_p("latsource",latsource)
+     if (is_master)write(*,*)trim(rname)//&
+     " latsource",latsource
+     lonsource=180. ! default value
+     call getin_p("lonsource",lonsource)
+     if (is_master)write(*,*)trim(rname)//&
+     " lonsource",lonsource
+
+     if (is_master)write(*,*)trim(rname)//&
+     "Radiatively active haze ?"
+     aerohaze=.false. ! default value
+     call getin_p("aerohaze",aerohaze)
+     if (is_master)write(*,*)trim(rname)//&
+     "aerohaze = ",aerohaze
+
+     if (is_master)write(*,*)trim(rname)//&
+     "Haze monomer radius ?"
+     rad_haze=10.e-9 ! default value
+     call getin_p("rad_haze",rad_haze)
+     if (is_master)write(*,*)trim(rname)//&
+     "rad_haze = ",rad_haze
+
+     if (is_master)write(*,*)trim(rname)//&
+     "fractal particle ?"
+     fractal=.false. ! default value
+     call getin_p("fractal",fractal)
+     if (is_master)write(*,*)trim(rname)//&
+     "fractal = ",fractal
+     nb_monomer=10 ! default value
+     call getin_p("nb_monomer",nb_monomer)
+     if (is_master)write(*,*)trim(rname)//&
+     "nb_monomer = ",nb_monomer
+     
+     if (is_master)write(*,*)trim(rname)//&
+     "fixed radius profile from txt file ?"
+     haze_radproffix=.false. ! default value
+     call getin_p("haze_radproffix",haze_radproffix)
+     if (is_master)write(*,*)trim(rname)//&
+     "haze_radproffix = ",haze_radproffix
+     if (is_master)write(*,*)trim(rname)//&
+     "fixed MMR profile from txt file ?"
+     haze_proffix=.false. ! default value
+     call getin_p("haze_proffix",haze_proffix)
+     if (is_master)write(*,*)trim(rname)//&
+     "haze_proffix = ",haze_proffix
+
+     if (is_master)write(*,*)trim(rname)//&
+     "Number mix ratio of haze particles for co clouds:"
+     Nmix_co=100000. ! default value
+     call getin_p("Nmix_co",Nmix_co)
+     if (is_master)write(*,*)trim(rname)//&
+     " Nmix_co = ",Nmix_co
+
+     if (is_master)write(*,*)trim(rname)//&
+     "Number mix ratio of haze particles for ch4 clouds:"
+     Nmix_ch4=100000. ! default value
+     call getin_p("Nmix_ch4",Nmix_ch4)
+     if (is_master)write(*,*)trim(rname)//&
+     " Nmix_ch4 = ",Nmix_ch4
+
+!***************************************************************
+     !! Surface properties
+
+!*********** N2 *********************************
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Mode for changing N2 albedo"
+     mode_n2=0 ! default value
+     call getin_p("mode_n2",mode_n2)
+     if (is_master)write(*,*)trim(rname)//&
+      " mode_n2 = ",mode_n2
+     thres_n2ice=1. ! default value
+     call getin_p("thres_n2ice",thres_n2ice)
+     if (is_master)write(*,*)trim(rname)//&
+      " thres_n2ice = ",thres_n2ice
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Diff of N2 albedo with thickness"
+     deltab=0. ! default value
+     call getin_p("deltab",deltab)
+     if (is_master)write(*,*)trim(rname)//&
+      " deltab = ",deltab
+
+     if (is_master)write(*,*)trim(rname)//&
+      "albedo N2 beta "
+     alb_n2b=0.7 ! default value
+     call getin_p("alb_n2b",alb_n2b)
+     if (is_master)write(*,*)trim(rname)//&
+      " alb_n2b = ",alb_n2b
+
+     if (is_master)write(*,*)trim(rname)//&
+      "albedo N2 alpha "
+     alb_n2a=0.7 ! default value
+     call getin_p("alb_n2a",alb_n2a)
+     if (is_master)write(*,*)trim(rname)//&
+      " alb_n2a = ",alb_n2a
+
+     if (is_master)write(*,*)trim(rname)//&
+      "emis N2 beta "
+     emis_n2b=0.7 ! default value
+     call getin_p("emis_n2b",emis_n2b)
+     if (is_master)write(*,*)trim(rname)//&
+      " emis_n2b = ",emis_n2b
+
+     if (is_master)write(*,*)trim(rname)//&
+      "emis N2 alpha "
+     emis_n2a=0.7 ! default value
+     call getin_p("emis_n2a",emis_n2a)
+     if (is_master)write(*,*)trim(rname)//&
+      " emis_n2a = ",emis_n2a
+
+!*********** CH4 *********************************
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Mode for changing CH4 albedo"
+     mode_ch4=0 ! default value
+     call getin_p("mode_ch4",mode_ch4)
+     if (is_master)write(*,*)trim(rname)//&
+      " mode_ch4 = ",mode_ch4
+     feedback_met=0 ! default value
+     call getin_p("feedback_met",feedback_met)
+     if (is_master)write(*,*)trim(rname)//&
+      " feedback_met = ",feedback_met
+     thres_ch4ice=1. ! default value, mm
+     call getin_p("thres_ch4ice",thres_ch4ice)
+     if (is_master)write(*,*)trim(rname)//&
+      " thres_ch4ice = ",thres_ch4ice
+     fdch4_latn=-1. 
+     fdch4_lats=0. 
+     fdch4_lone=0. 
+     fdch4_lonw=-1. 
+     fdch4_depalb=0.5 
+     fdch4_finalb=0.95 
+     fdch4_maxalb=0.99 
+     fdch4_ampl=200. 
+     fdch4_maxice=100. 
+     call getin_p("  fdch4_latn",fdch4_latn)
+     call getin_p("  fdch4_lats",fdch4_lats)
+     call getin_p("  fdch4_lone",fdch4_lone)
+     call getin_p("  fdch4_lonw",fdch4_lonw)
+     call getin_p("  fdch4_depalb",fdch4_depalb)
+     call getin_p("  fdch4_finalb",fdch4_finalb)
+     call getin_p("  fdch4_maxalb",fdch4_maxalb)
+     call getin_p("  fdch4_maxice",fdch4_maxice)
+     call getin_p("  fdch4_ampl",fdch4_ampl)
+     if (is_master)write(*,*)trim(rname)//&
+      " Values for albedo feedback = ",fdch4_latn,&
+     fdch4_lats,fdch4_lone,fdch4_lonw,fdch4_depalb,&
+     fdch4_finalb,fdch4_maxalb,fdch4_maxice,fdch4_ampl
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Latitude for diff albedo methane"
+     metlateq=25. ! default value
+     call getin_p("metlateq",metlateq)
+     if (is_master)write(*,*)trim(rname)//&
+      " metlateq = ",metlateq
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Ls1 and Ls2 for change of ch4 albedo"
+     metls1=-1. ! default value
+     metls2=-2. ! default value
+     call getin_p("metls1",metls1)
+     call getin_p("metls2",metls2)
+
+     if (is_master)write(*,*)trim(rname)//&
+      "albedo CH4 "
+     alb_ch4=0.5 ! default value
+     call getin_p("alb_ch4",alb_ch4)
+     if (is_master)write(*,*)trim(rname)//&
+      " alb_ch4 = ",alb_ch4
+
+     if (is_master)write(*,*)trim(rname)//&
+      "albedo equatorial CH4 "
+     alb_ch4_eq=alb_ch4 ! default value
+     call getin_p("alb_ch4_eq",alb_ch4_eq)
+     if (is_master)write(*,*)trim(rname)//&
+      " alb_ch4_eq = ",alb_ch4_eq
+
+     if (is_master)write(*,*)trim(rname)//&
+      "albedo south hemis CH4 "
+     alb_ch4_s=alb_ch4 ! default value
+     call getin_p("alb_ch4_s",alb_ch4_s)
+     if (is_master)write(*,*)trim(rname)//&
+      " alb_ch4_s = ",alb_ch4_s
+
+     if (is_master)write(*,*)trim(rname)//&
+      "emis CH4 "
+     emis_ch4=0.5 ! default value
+     call getin_p("emis_ch4",emis_ch4)
+     if (is_master)write(*,*)trim(rname)//&
+      " emis_ch4 = ",emis_ch4
+
+     if (is_master)write(*,*)trim(rname)//&
+      "CH4 lag for n2 sublimation limitation"
+     ch4lag=.false. ! default value
+     latlag=-90. ! default value
+     vmrlag=1. ! default value
+     call getin_p("ch4lag",ch4lag)
+     call getin_p("latlag",latlag)
+     call getin_p("vmrlag",vmrlag)
+     if (is_master)write(*,*)trim(rname)//&
+      " ch4lag = ",ch4lag
+     if (is_master)write(*,*)trim(rname)//&
+      " latlag = ",latlag
+     if (is_master)write(*,*)trim(rname)//&
+      " vmrlag = ",vmrlag
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Max temperature for surface ?"
+     tsurfmax=.false. ! default value
+     albmin_ch4=0.3 ! default value
+     call getin_p("tsurfmax",tsurfmax)
+     call getin_p("albmin_ch4",albmin_ch4)
+     if (is_master)write(*,*)trim(rname)//&
+      " tsurfmax = ",tsurfmax
+     if (is_master)write(*,*)trim(rname)//&
+      " albmin_ch4 = ",albmin_ch4
+
+!*********** CO *********************************
+
+     if (is_master)write(*,*)trim(rname)//&
+      "albedo CO "
+     alb_co=0.4 ! default value
+     call getin_p("alb_co",alb_co)
+     if (is_master)write(*,*)trim(rname)//&
+      " alb_co = ",alb_co
+     thres_coice=1. ! default value, mm
+     call getin_p("thres_coice",thres_coice)
+     if (is_master)write(*,*)trim(rname)//&
+      " thres_coice = ",thres_coice
+
+     if (is_master)write(*,*)trim(rname)//&
+      "emis CO "
+     emis_co=0.4 ! default value
+     call getin_p("emis_co",emis_co)
+     if (is_master)write(*,*)trim(rname)//&
+      " emis_co = ",emis_co
+
+!*********** THOLINS *********************************
+     if (is_master)write(*,*)trim(rname)//&
+      "Mode for changing tholins albedo/emis"
+     mode_tholins=0 ! default value
+     call getin_p("mode_tholins",mode_tholins)
+     if (is_master)write(*,*)trim(rname)//&
+      " mode_tholins = ",mode_tholins
+
+     if (is_master)write(*,*)trim(rname)//&
+      "albedo tho "
+     alb_tho=0.1 ! default value
+     call getin_p("alb_tho",alb_tho)
+     if (is_master)write(*,*)trim(rname)//&
+      " alb_tho = ",alb_tho
+
+     if (is_master)write(*,*)trim(rname)//&
+      "albedo tho eq"
+     alb_tho_eq=0.1 ! default value
+     call getin_p("alb_tho_eq",alb_tho_eq)
+     if (is_master)write(*,*)trim(rname)//&
+      " alb_tho_eq = ",alb_tho_eq
+
+     if (is_master)write(*,*)trim(rname)//&
+      "emis tholins "
+     emis_tho=1. ! default value
+     call getin_p("emis_tho",emis_tho)
+     if (is_master)write(*,*)trim(rname)//&
+      " emis_tho = ",emis_tho
+
+     if (is_master)write(*,*)trim(rname)//&
+      "emis tholins eq"
+     emis_tho_eq=1. ! default value
+     call getin_p("emis_tho_eq",emis_tho_eq)
+     if (is_master)write(*,*)trim(rname)//&
+      " emis_tho_eq = ",emis_tho_eq
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Latitude for diff albedo tholins"
+     tholateq=25. ! default value
+     call getin_p("tholateq",tholateq)
+     if (is_master)write(*,*)trim(rname)//&
+      " tholateq = ",tholateq
+     tholatn=-1. 
+     tholats=0. 
+     tholone=0. 
+     tholonw=-1. 
+     alb_tho_spe=0.1 ! default value
+     emis_tho_spe=1. ! default value
+     call getin_p("  tholatn",tholatn)
+     call getin_p("  tholats",tholats)
+     call getin_p("  tholone",tholone)
+     call getin_p("  tholonw",tholonw)
+     if (is_master)write(*,*)trim(rname)//&
+      " Values for special tholins albedo = ",tholatn,&
+        tholats,tholone,tholonw,alb_tho_spe,emis_tho_spe
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Specific albedo"
+     spelon1=-180. ! default value
+     spelon2=180. ! default value
+     spelat1=-90. ! default value
+     spelat2=90. ! default value
+     specalb=.false. ! default value
+     if (is_master)write(*,*)trim(rname)//&
+      "albedo/emis spe "
+     albspe=0.1 ! default value
+     emispe=1. ! default value
+     call getin_p("spelon1",spelon1)
+     call getin_p("spelon2",spelon2)
+     call getin_p("spelat1",spelat1)
+     call getin_p("spelat2",spelat2)
+     call getin_p("specalb",specalb)
+     call getin_p("albspe",albspe)
+     call getin_p("emispe",emispe)
+
+     if (is_master)write(*,*)trim(rname)//&
+      " specific = ",specalb
+
+!********************** TI *****************************
+
+     if (is_master)write(*,*)trim(rname)//&
+      "Change TI with time"
+     changeti=.false. ! default value
+     call getin_p("changeti",changeti)
+     if (is_master)write(*,*)trim(rname)//&
+      " changeti = ",changeti
+     changetid=.false. ! default value for diurnal TI
+     call getin_p("changetid",changetid)
+     if (is_master)write(*,*)trim(rname)//&
+      " changetid = ",changetid
+
+     if (is_master)write(*,*)trim(rname)//&
+      "IT N2 "
+     ITN2=800. ! default value
+     call getin_p("ITN2",ITN2)
+     if (is_master)write(*,*)trim(rname)//&
+      " ITN2 = ",ITN2
+     ITN2d=20. ! default value
+     call getin_p("ITN2d",ITN2d)
+     if (is_master)write(*,*)trim(rname)//&
+      " ITN2d = ",ITN2d
+
+     if (is_master)write(*,*)trim(rname)//&
+      "IT CH4"
+     ITCH4=800. ! default value
+     call getin_p("ITCH4",ITCH4)
+     if (is_master)write(*,*)trim(rname)//&
+      " ITCH4 = ",ITCH4
+     ITCH4d=20. ! default value
+     call getin_p("ITCH4d",ITCH4d)
+     if (is_master)write(*,*)trim(rname)//&
+      " ITCH4d = ",ITCH4d
+
+     if (is_master)write(*,*)trim(rname)//&
+      "IT H2O"
+     ITH2O=800. ! default value
+     call getin_p("ITH2O",ITH2O)
+     if (is_master)write(*,*)trim(rname)//&
+      " ITH2O = ",ITH2O
+     ITH2Od=20. ! default value
+     call getin_p("ITH2Od",ITH2Od)
+     if (is_master)write(*,*)trim(rname)//&
+      " ITH2Od = ",ITH2Od
 
 !=================================
